var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export class AwsClient {
    constructor({ Client, errorHandler, }) {
        this.send = (...args) => __awaiter(this, void 0, void 0, function* () {
            return this.errorHandler !== undefined
                ? yield this.errorHandler(() => __awaiter(this, void 0, void 0, function* () { return yield this.client.send(...args); }))
                : yield this.client.send(...args);
        });
        this.client = new Client(AwsClient.AWS_CLIENT_GLOBAL_CONFIGURATION);
        this.errorHandler = errorHandler;
    }
    static setGlobalConfiguration(config) {
        Object.assign(AwsClient.AWS_CLIENT_GLOBAL_CONFIGURATION, config);
    }
    get config() {
        return this.client.config;
    }
}
// The global config is expected to be overriden on the application startup before
// the command dynamic import happens and any AWS client is instantiated.
AwsClient.AWS_CLIENT_GLOBAL_CONFIGURATION = {};
//# sourceMappingURL=aws-client.js.map