import { RuntimeError } from '../../common/runtime-errors.js';
export class AwsError extends RuntimeError {
}
export class AwsAccessDeniedError extends AwsError {
    constructor(iamMessage) {
        super('User is not allowed to perform the operation' +
            (iamMessage === undefined ? '' : `. ${iamMessage}`));
        this.iamMessage = iamMessage;
    }
}
export class AwsNotFoundError extends AwsError {
    constructor() {
        super('Resource not found');
    }
}
export class AwsDependencyViolationError extends AwsError {
    constructor() {
        super('Resource has dependent resources');
    }
}
export class AwsTooManySecurityGroupsAttachedError extends AwsError {
    constructor() {
        super(`Too many security groups attached`);
    }
}
//# sourceMappingURL=aws-errors.js.map