var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { AwsError } from './aws-errors.js';
export function handleWaiterError(waiter) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield waiter();
        }
        catch (error) {
            if (error instanceof Error &&
                error.message.toLowerCase().includes('timed out')) {
                throw new AwsTimeoutError();
            }
        }
    });
}
export class AwsTimeoutError extends AwsError {
    constructor() {
        super('Operation timed out');
    }
}
//# sourceMappingURL=waiter-error.js.map