var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DescribeRouteTablesCommand } from '@aws-sdk/client-ec2';
import { ec2Client } from './ec2-client.js';
import { parseRouteTableResponse } from './parse-ec2-response.js';
export function getRouteTable({ subnetId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const { RouteTables } = yield ec2Client.send(new DescribeRouteTablesCommand({
            Filters: [{ Name: 'association.subnet-id', Values: [subnetId] }],
        }));
        if (!RouteTables) {
            throw new Error(`Invalid response from AWS.`);
        }
        return RouteTables.map(table => parseRouteTableResponse(table))[0];
    });
}
//# sourceMappingURL=get-route-tables.js.map