var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DescribeCacheSubnetGroupsCommand } from '@aws-sdk/client-elasticache';
import { AwsNotFoundError } from '../common/aws-errors.js';
import { parseElasticacheSubnetGroup } from './parse-elasticache-redis-response.js';
import { elasticacheClient } from './elasticache-client.js';
export function getCacheClusterSubnetGroup({ name, }) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { CacheSubnetGroups } = yield elasticacheClient.send(new DescribeCacheSubnetGroupsCommand({
                CacheSubnetGroupName: name,
            }));
            if (!CacheSubnetGroups) {
                throw new Error(`Invalid response from AWS.`);
            }
            return CacheSubnetGroups.map(group => parseElasticacheSubnetGroup(group))[0];
        }
        catch (error) {
            if (error instanceof AwsNotFoundError) {
                return undefined;
            }
            throw error;
        }
    });
}
//# sourceMappingURL=get-cache-cluster-subnet-group.js.map