var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DescribeDBSubnetGroupsCommand } from '@aws-sdk/client-rds';
import { AwsNotFoundError } from '../common/aws-errors.js';
import { parseDbSubnetGroup } from './parse-rds-response.js';
import { rdsClient } from './rds-client.js';
export function getDbSubnetGroup({ name, }) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const { DBSubnetGroups } = yield rdsClient.send(new DescribeDBSubnetGroupsCommand({
                DBSubnetGroupName: name,
            }));
            if (!DBSubnetGroups) {
                throw new Error(`Invalid response from AWS.`);
            }
            return DBSubnetGroups.map(group => parseDbSubnetGroup(group))[0];
        }
        catch (error) {
            if (error instanceof AwsNotFoundError) {
                return undefined;
            }
            throw error;
        }
    });
}
//# sourceMappingURL=get-db-subnet-group.js.map