import { z } from 'zod';
const ParameterTypeParser = z.enum(['String', 'SecureString', 'StringList']);
export const parseSsmParameter = z
    .object({
    Name: z.string(),
    Value: z.string(),
    Type: ParameterTypeParser,
})
    .transform(response => ({
    name: response.Name,
    value: response.Value,
    type: transformParameterType(response.Type),
})).parse;
function transformParameterType(type) {
    return {
        String: 'string',
        SecureString: 'string',
        StringList: 'string-list',
    }[type];
}
export const parseStartSsmSessionResponse = z.object({
    SessionId: z.string(),
    StreamUrl: z.string(),
    TokenValue: z.string(),
}).parse;
//# sourceMappingURL=parse-ssm-response.js.map