var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { assertResourcesExist } from './assert-resources-exist.js';
import { cleanupResources } from './cleanup-resources.js';
import { confirmCleanup } from './confirm-cleanup.js';
import { getResourcesToCleanup } from './get-resources-to-cleanup.js';
export function handleCleanup({ confirm, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const resources = yield getResourcesToCleanup();
        assertResourcesExist({ resources });
        confirm === true || (yield confirmCleanup({ resources }));
        yield cleanupResources({
            resources,
        });
    });
}
//# sourceMappingURL=cleanup.js.map