var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { fmt } from '#src/common/fmt.js';
import { EarlyExitError } from '../../error/early-exit-error.js';
import { handleOperation } from '../common/handle-operation.js';
export function assertTargetIsInitialized({ target, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const targetInitialized = yield handleOperation('Checking target state', () => __awaiter(this, void 0, void 0, function* () { return yield target.isInitialized(); }));
        if (!targetInitialized) {
            throw new EarlyExitError(`The selected target has not been initialized to use with Basti. Please, use ${fmt.code('basti init')} to initialize the target`);
        }
    });
}
//# sourceMappingURL=assert-target-is-initialized.js.map