var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { BASTION_INSTANCE_DEFAULT_ASSIGN_PUBLIC_IP } from '#src/bastion/bastion.js';
import { cli } from '#src/common/cli.js';
export function selectAssignPublicIp(assignPublicIpInput) {
    return __awaiter(this, void 0, void 0, function* () {
        if (assignPublicIpInput !== undefined) {
            return assignPublicIpInput;
        }
        const { assignPublicIp } = yield cli.prompt({
            type: 'confirm',
            name: 'assignPublicIp',
            message: 'Assign a public IP to the bastion?',
            default: BASTION_INSTANCE_DEFAULT_ASSIGN_PUBLIC_IP,
        });
        return assignPublicIp;
    });
}
//# sourceMappingURL=select-assign-public-ip.js.map