var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { cli } from '#src/common/cli.js';
import { uniqueBy } from '#src/common/data-structures.js';
import { fmt } from '#src/common/fmt.js';
export function selectTags(tagsInput) {
    return __awaiter(this, void 0, void 0, function* () {
        if (tagsInput.length > 0) {
            return tagsInput;
        }
        cli.out(`${fmt.green('❯')} Enter tags to be added to all created resources`);
        const subCli = cli.createSubInstance({ indent: 2 });
        const tags = [];
        while (true) {
            const { tagKey } = yield subCli.prompt({
                type: 'input',
                name: 'tagKey',
                message: 'Tag key (leave empty to proceed)',
            });
            if (typeof tagKey !== 'string' || tagKey.length === 0) {
                break;
            }
            const { tagValue } = yield subCli.prompt({
                type: 'input',
                name: 'tagValue',
                message: `Tag value`,
            });
            tags.push({ key: tagKey, value: tagValue });
        }
        return uniqueBy(tags, 'key');
    });
}
//# sourceMappingURL=select-tags.js.map