var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getBastion } from '#src/bastion/get-bastion.js';
import { TargetNotInitializedError } from '../target-errors.js';
export class CustomConnectTarget {
    constructor({ custom: { vpcId, host, port }, awsClientConfig, }) {
        this.vpcId = vpcId;
        this.host = host;
        this.port = port;
        this.awsClientConfig = awsClientConfig;
    }
    isInitialized() {
        return __awaiter(this, void 0, void 0, function* () {
            const bastion = yield getBastion({ vpcId: this.vpcId });
            return bastion !== undefined;
        });
    }
    // TODO: Consider changing the getBastionId signature
    // to avoid retrieving EC2 instance info multiple times
    getBastionId() {
        return __awaiter(this, void 0, void 0, function* () {
            const bastion = yield getBastion({ vpcId: this.vpcId });
            if (!bastion) {
                throw new TargetNotInitializedError();
            }
            return bastion.id;
        });
    }
    getHost() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.host;
        });
    }
    getPort() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.port;
        });
    }
}
//# sourceMappingURL=custom-connect-target.js.map