var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getDbSubnetGroup } from '#src/aws/rds/get-db-subnet-group.js';
import { modifyDBCluster } from '#src/aws/rds/modify-db-cluster.js';
import { InitTargetBase } from '../init-target.js';
export class DbClusterInitTarget extends InitTargetBase {
    constructor({ dbCluster }) {
        super();
        this.dbCluster = dbCluster;
    }
    getId() {
        return this.dbCluster.identifier;
    }
    getVpcId() {
        return __awaiter(this, void 0, void 0, function* () {
            const dbSubnetGroup = yield getDbSubnetGroup({
                name: this.dbCluster.dbSubnetGroupName,
            });
            if (!dbSubnetGroup) {
                throw new Error(`DB subnet group "${this.dbCluster.dbSubnetGroupName}" not found`);
            }
            return dbSubnetGroup.vpcId;
        });
    }
    getTargetPort() {
        return this.dbCluster.port;
    }
    getSecurityGroupIds() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbCluster.securityGroupIds;
        });
    }
    attachSecurityGroup(securityGroupId) {
        return __awaiter(this, void 0, void 0, function* () {
            this.dbCluster = yield modifyDBCluster({
                identifier: this.dbCluster.identifier,
                securityGroupIds: [...this.dbCluster.securityGroupIds, securityGroupId],
            });
        });
    }
}
//# sourceMappingURL=db-cluster-init-target.js.map