var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { ConnectTargetBase } from '../connect-target.js';
export class DbInstanceConnectTarget extends ConnectTargetBase {
    constructor(input) {
        super(input);
        this.dbInstance = input.dbInstance;
    }
    getHost() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbInstance.host;
        });
    }
    getPort() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbInstance.port;
        });
    }
    getSecurityGroupIds() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.dbInstance.securityGroupIds;
        });
    }
}
//# sourceMappingURL=db-instance-connect-target.js.map