var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getCacheClusterSubnetGroup } from '#src/aws/elasticache/get-cache-cluster-subnet-group.js';
import { ConnectTargetBase } from '../connect-target.js';
export class ElasticacheMemcachedClusterConnectTarget extends ConnectTargetBase {
    constructor(input) {
        super(input);
        this.elasticacheMemcachedCluster = input.elasticacheMemcachedCluster;
    }
    getHost() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.elasticacheMemcachedCluster.host;
        });
    }
    getPort() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.elasticacheMemcachedCluster.port;
        });
    }
    getSecurityGroupIds() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.elasticacheMemcachedCluster.securityGroups;
        });
    }
    getVpcId() {
        return __awaiter(this, void 0, void 0, function* () {
            const dbSubnetGroup = yield getCacheClusterSubnetGroup({
                name: this.elasticacheMemcachedCluster.subnetGroupName,
            });
            if (!dbSubnetGroup) {
                throw new Error(`Cluster subnet group "${this.elasticacheMemcachedCluster.subnetGroupName}" not found`);
            }
            return dbSubnetGroup.vpcId;
        });
    }
}
//# sourceMappingURL=elasticache-memcached-cluster-connect-target.js.map