import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_CreateCacheParameterGroupCommand, se_CreateCacheParameterGroupCommand } from "../protocols/Aws_query";
export { $Command };
export class CreateCacheParameterGroupCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonElastiCacheV9", "CreateCacheParameterGroup", {})
    .n("ElastiCacheClient", "CreateCacheParameterGroupCommand")
    .f(void 0, void 0)
    .ser(se_CreateCacheParameterGroupCommand)
    .de(de_CreateCacheParameterGroupCommand)
    .build() {
}
