import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_PurchaseReservedCacheNodesOfferingCommand, se_PurchaseReservedCacheNodesOfferingCommand, } from "../protocols/Aws_query";
export { $Command };
export class PurchaseReservedCacheNodesOfferingCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonElastiCacheV9", "PurchaseReservedCacheNodesOffering", {})
    .n("ElastiCacheClient", "PurchaseReservedCacheNodesOfferingCommand")
    .f(void 0, void 0)
    .ser(se_PurchaseReservedCacheNodesOfferingCommand)
    .de(de_PurchaseReservedCacheNodesOfferingCommand)
    .build() {
}
