import {
  HostHeaderInputConfig,
  HostHeaderResolvedConfig,
} from "@aws-sdk/middleware-host-header";
import {
  UserAgentInputConfig,
  UserAgentResolvedConfig,
} from "@aws-sdk/middleware-user-agent";
import {
  RegionInputConfig,
  RegionResolvedConfig,
} from "@smithy/config-resolver";
import {
  EndpointInputConfig,
  EndpointResolvedConfig,
} from "@smithy/middleware-endpoint";
import {
  RetryInputConfig,
  RetryResolvedConfig,
} from "@smithy/middleware-retry";
import { HttpHandlerUserInput as __HttpHandlerUserInput } from "@smithy/protocol-http";
import {
  Client as __Client,
  DefaultsMode as __DefaultsMode,
  SmithyConfiguration as __SmithyConfiguration,
  SmithyResolvedConfiguration as __SmithyResolvedConfiguration,
} from "@smithy/smithy-client";
import {
  AwsCredentialIdentityProvider,
  BodyLengthCalculator as __BodyLengthCalculator,
  CheckOptionalClientConfig as __CheckOptionalClientConfig,
  ChecksumConstructor as __ChecksumConstructor,
  Decoder as __Decoder,
  Encoder as __Encoder,
  HashConstructor as __HashConstructor,
  HttpHandlerOptions as __HttpHandlerOptions,
  Logger as __Logger,
  Provider as __Provider,
  Provider,
  StreamCollector as __StreamCollector,
  UrlParser as __UrlParser,
  UserAgent as __UserAgent,
} from "@smithy/types";
import {
  HttpAuthSchemeInputConfig,
  HttpAuthSchemeResolvedConfig,
} from "./auth/httpAuthSchemeProvider";
import {
  AddTagsToResourceCommandInput,
  AddTagsToResourceCommandOutput,
} from "./commands/AddTagsToResourceCommand";
import {
  AuthorizeCacheSecurityGroupIngressCommandInput,
  AuthorizeCacheSecurityGroupIngressCommandOutput,
} from "./commands/AuthorizeCacheSecurityGroupIngressCommand";
import {
  BatchApplyUpdateActionCommandInput,
  BatchApplyUpdateActionCommandOutput,
} from "./commands/BatchApplyUpdateActionCommand";
import {
  BatchStopUpdateActionCommandInput,
  BatchStopUpdateActionCommandOutput,
} from "./commands/BatchStopUpdateActionCommand";
import {
  CompleteMigrationCommandInput,
  CompleteMigrationCommandOutput,
} from "./commands/CompleteMigrationCommand";
import {
  CopyServerlessCacheSnapshotCommandInput,
  CopyServerlessCacheSnapshotCommandOutput,
} from "./commands/CopyServerlessCacheSnapshotCommand";
import {
  CopySnapshotCommandInput,
  CopySnapshotCommandOutput,
} from "./commands/CopySnapshotCommand";
import {
  CreateCacheClusterCommandInput,
  CreateCacheClusterCommandOutput,
} from "./commands/CreateCacheClusterCommand";
import {
  CreateCacheParameterGroupCommandInput,
  CreateCacheParameterGroupCommandOutput,
} from "./commands/CreateCacheParameterGroupCommand";
import {
  CreateCacheSecurityGroupCommandInput,
  CreateCacheSecurityGroupCommandOutput,
} from "./commands/CreateCacheSecurityGroupCommand";
import {
  CreateCacheSubnetGroupCommandInput,
  CreateCacheSubnetGroupCommandOutput,
} from "./commands/CreateCacheSubnetGroupCommand";
import {
  CreateGlobalReplicationGroupCommandInput,
  CreateGlobalReplicationGroupCommandOutput,
} from "./commands/CreateGlobalReplicationGroupCommand";
import {
  CreateReplicationGroupCommandInput,
  CreateReplicationGroupCommandOutput,
} from "./commands/CreateReplicationGroupCommand";
import {
  CreateServerlessCacheCommandInput,
  CreateServerlessCacheCommandOutput,
} from "./commands/CreateServerlessCacheCommand";
import {
  CreateServerlessCacheSnapshotCommandInput,
  CreateServerlessCacheSnapshotCommandOutput,
} from "./commands/CreateServerlessCacheSnapshotCommand";
import {
  CreateSnapshotCommandInput,
  CreateSnapshotCommandOutput,
} from "./commands/CreateSnapshotCommand";
import {
  CreateUserCommandInput,
  CreateUserCommandOutput,
} from "./commands/CreateUserCommand";
import {
  CreateUserGroupCommandInput,
  CreateUserGroupCommandOutput,
} from "./commands/CreateUserGroupCommand";
import {
  DecreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput,
} from "./commands/DecreaseNodeGroupsInGlobalReplicationGroupCommand";
import {
  DecreaseReplicaCountCommandInput,
  DecreaseReplicaCountCommandOutput,
} from "./commands/DecreaseReplicaCountCommand";
import {
  DeleteCacheClusterCommandInput,
  DeleteCacheClusterCommandOutput,
} from "./commands/DeleteCacheClusterCommand";
import {
  DeleteCacheParameterGroupCommandInput,
  DeleteCacheParameterGroupCommandOutput,
} from "./commands/DeleteCacheParameterGroupCommand";
import {
  DeleteCacheSecurityGroupCommandInput,
  DeleteCacheSecurityGroupCommandOutput,
} from "./commands/DeleteCacheSecurityGroupCommand";
import {
  DeleteCacheSubnetGroupCommandInput,
  DeleteCacheSubnetGroupCommandOutput,
} from "./commands/DeleteCacheSubnetGroupCommand";
import {
  DeleteGlobalReplicationGroupCommandInput,
  DeleteGlobalReplicationGroupCommandOutput,
} from "./commands/DeleteGlobalReplicationGroupCommand";
import {
  DeleteReplicationGroupCommandInput,
  DeleteReplicationGroupCommandOutput,
} from "./commands/DeleteReplicationGroupCommand";
import {
  DeleteServerlessCacheCommandInput,
  DeleteServerlessCacheCommandOutput,
} from "./commands/DeleteServerlessCacheCommand";
import {
  DeleteServerlessCacheSnapshotCommandInput,
  DeleteServerlessCacheSnapshotCommandOutput,
} from "./commands/DeleteServerlessCacheSnapshotCommand";
import {
  DeleteSnapshotCommandInput,
  DeleteSnapshotCommandOutput,
} from "./commands/DeleteSnapshotCommand";
import {
  DeleteUserCommandInput,
  DeleteUserCommandOutput,
} from "./commands/DeleteUserCommand";
import {
  DeleteUserGroupCommandInput,
  DeleteUserGroupCommandOutput,
} from "./commands/DeleteUserGroupCommand";
import {
  DescribeCacheClustersCommandInput,
  DescribeCacheClustersCommandOutput,
} from "./commands/DescribeCacheClustersCommand";
import {
  DescribeCacheEngineVersionsCommandInput,
  DescribeCacheEngineVersionsCommandOutput,
} from "./commands/DescribeCacheEngineVersionsCommand";
import {
  DescribeCacheParameterGroupsCommandInput,
  DescribeCacheParameterGroupsCommandOutput,
} from "./commands/DescribeCacheParameterGroupsCommand";
import {
  DescribeCacheParametersCommandInput,
  DescribeCacheParametersCommandOutput,
} from "./commands/DescribeCacheParametersCommand";
import {
  DescribeCacheSecurityGroupsCommandInput,
  DescribeCacheSecurityGroupsCommandOutput,
} from "./commands/DescribeCacheSecurityGroupsCommand";
import {
  DescribeCacheSubnetGroupsCommandInput,
  DescribeCacheSubnetGroupsCommandOutput,
} from "./commands/DescribeCacheSubnetGroupsCommand";
import {
  DescribeEngineDefaultParametersCommandInput,
  DescribeEngineDefaultParametersCommandOutput,
} from "./commands/DescribeEngineDefaultParametersCommand";
import {
  DescribeEventsCommandInput,
  DescribeEventsCommandOutput,
} from "./commands/DescribeEventsCommand";
import {
  DescribeGlobalReplicationGroupsCommandInput,
  DescribeGlobalReplicationGroupsCommandOutput,
} from "./commands/DescribeGlobalReplicationGroupsCommand";
import {
  DescribeReplicationGroupsCommandInput,
  DescribeReplicationGroupsCommandOutput,
} from "./commands/DescribeReplicationGroupsCommand";
import {
  DescribeReservedCacheNodesCommandInput,
  DescribeReservedCacheNodesCommandOutput,
} from "./commands/DescribeReservedCacheNodesCommand";
import {
  DescribeReservedCacheNodesOfferingsCommandInput,
  DescribeReservedCacheNodesOfferingsCommandOutput,
} from "./commands/DescribeReservedCacheNodesOfferingsCommand";
import {
  DescribeServerlessCachesCommandInput,
  DescribeServerlessCachesCommandOutput,
} from "./commands/DescribeServerlessCachesCommand";
import {
  DescribeServerlessCacheSnapshotsCommandInput,
  DescribeServerlessCacheSnapshotsCommandOutput,
} from "./commands/DescribeServerlessCacheSnapshotsCommand";
import {
  DescribeServiceUpdatesCommandInput,
  DescribeServiceUpdatesCommandOutput,
} from "./commands/DescribeServiceUpdatesCommand";
import {
  DescribeSnapshotsCommandInput,
  DescribeSnapshotsCommandOutput,
} from "./commands/DescribeSnapshotsCommand";
import {
  DescribeUpdateActionsCommandInput,
  DescribeUpdateActionsCommandOutput,
} from "./commands/DescribeUpdateActionsCommand";
import {
  DescribeUserGroupsCommandInput,
  DescribeUserGroupsCommandOutput,
} from "./commands/DescribeUserGroupsCommand";
import {
  DescribeUsersCommandInput,
  DescribeUsersCommandOutput,
} from "./commands/DescribeUsersCommand";
import {
  DisassociateGlobalReplicationGroupCommandInput,
  DisassociateGlobalReplicationGroupCommandOutput,
} from "./commands/DisassociateGlobalReplicationGroupCommand";
import {
  ExportServerlessCacheSnapshotCommandInput,
  ExportServerlessCacheSnapshotCommandOutput,
} from "./commands/ExportServerlessCacheSnapshotCommand";
import {
  FailoverGlobalReplicationGroupCommandInput,
  FailoverGlobalReplicationGroupCommandOutput,
} from "./commands/FailoverGlobalReplicationGroupCommand";
import {
  IncreaseNodeGroupsInGlobalReplicationGroupCommandInput,
  IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput,
} from "./commands/IncreaseNodeGroupsInGlobalReplicationGroupCommand";
import {
  IncreaseReplicaCountCommandInput,
  IncreaseReplicaCountCommandOutput,
} from "./commands/IncreaseReplicaCountCommand";
import {
  ListAllowedNodeTypeModificationsCommandInput,
  ListAllowedNodeTypeModificationsCommandOutput,
} from "./commands/ListAllowedNodeTypeModificationsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "./commands/ListTagsForResourceCommand";
import {
  ModifyCacheClusterCommandInput,
  ModifyCacheClusterCommandOutput,
} from "./commands/ModifyCacheClusterCommand";
import {
  ModifyCacheParameterGroupCommandInput,
  ModifyCacheParameterGroupCommandOutput,
} from "./commands/ModifyCacheParameterGroupCommand";
import {
  ModifyCacheSubnetGroupCommandInput,
  ModifyCacheSubnetGroupCommandOutput,
} from "./commands/ModifyCacheSubnetGroupCommand";
import {
  ModifyGlobalReplicationGroupCommandInput,
  ModifyGlobalReplicationGroupCommandOutput,
} from "./commands/ModifyGlobalReplicationGroupCommand";
import {
  ModifyReplicationGroupCommandInput,
  ModifyReplicationGroupCommandOutput,
} from "./commands/ModifyReplicationGroupCommand";
import {
  ModifyReplicationGroupShardConfigurationCommandInput,
  ModifyReplicationGroupShardConfigurationCommandOutput,
} from "./commands/ModifyReplicationGroupShardConfigurationCommand";
import {
  ModifyServerlessCacheCommandInput,
  ModifyServerlessCacheCommandOutput,
} from "./commands/ModifyServerlessCacheCommand";
import {
  ModifyUserCommandInput,
  ModifyUserCommandOutput,
} from "./commands/ModifyUserCommand";
import {
  ModifyUserGroupCommandInput,
  ModifyUserGroupCommandOutput,
} from "./commands/ModifyUserGroupCommand";
import {
  PurchaseReservedCacheNodesOfferingCommandInput,
  PurchaseReservedCacheNodesOfferingCommandOutput,
} from "./commands/PurchaseReservedCacheNodesOfferingCommand";
import {
  RebalanceSlotsInGlobalReplicationGroupCommandInput,
  RebalanceSlotsInGlobalReplicationGroupCommandOutput,
} from "./commands/RebalanceSlotsInGlobalReplicationGroupCommand";
import {
  RebootCacheClusterCommandInput,
  RebootCacheClusterCommandOutput,
} from "./commands/RebootCacheClusterCommand";
import {
  RemoveTagsFromResourceCommandInput,
  RemoveTagsFromResourceCommandOutput,
} from "./commands/RemoveTagsFromResourceCommand";
import {
  ResetCacheParameterGroupCommandInput,
  ResetCacheParameterGroupCommandOutput,
} from "./commands/ResetCacheParameterGroupCommand";
import {
  RevokeCacheSecurityGroupIngressCommandInput,
  RevokeCacheSecurityGroupIngressCommandOutput,
} from "./commands/RevokeCacheSecurityGroupIngressCommand";
import {
  StartMigrationCommandInput,
  StartMigrationCommandOutput,
} from "./commands/StartMigrationCommand";
import {
  TestFailoverCommandInput,
  TestFailoverCommandOutput,
} from "./commands/TestFailoverCommand";
import {
  TestMigrationCommandInput,
  TestMigrationCommandOutput,
} from "./commands/TestMigrationCommand";
import {
  ClientInputEndpointParameters,
  ClientResolvedEndpointParameters,
  EndpointParameters,
} from "./endpoint/EndpointParameters";
import { RuntimeExtension, RuntimeExtensionsConfig } from "./runtimeExtensions";
export { __Client };
export type ServiceInputTypes =
  | AddTagsToResourceCommandInput
  | AuthorizeCacheSecurityGroupIngressCommandInput
  | BatchApplyUpdateActionCommandInput
  | BatchStopUpdateActionCommandInput
  | CompleteMigrationCommandInput
  | CopyServerlessCacheSnapshotCommandInput
  | CopySnapshotCommandInput
  | CreateCacheClusterCommandInput
  | CreateCacheParameterGroupCommandInput
  | CreateCacheSecurityGroupCommandInput
  | CreateCacheSubnetGroupCommandInput
  | CreateGlobalReplicationGroupCommandInput
  | CreateReplicationGroupCommandInput
  | CreateServerlessCacheCommandInput
  | CreateServerlessCacheSnapshotCommandInput
  | CreateSnapshotCommandInput
  | CreateUserCommandInput
  | CreateUserGroupCommandInput
  | DecreaseNodeGroupsInGlobalReplicationGroupCommandInput
  | DecreaseReplicaCountCommandInput
  | DeleteCacheClusterCommandInput
  | DeleteCacheParameterGroupCommandInput
  | DeleteCacheSecurityGroupCommandInput
  | DeleteCacheSubnetGroupCommandInput
  | DeleteGlobalReplicationGroupCommandInput
  | DeleteReplicationGroupCommandInput
  | DeleteServerlessCacheCommandInput
  | DeleteServerlessCacheSnapshotCommandInput
  | DeleteSnapshotCommandInput
  | DeleteUserCommandInput
  | DeleteUserGroupCommandInput
  | DescribeCacheClustersCommandInput
  | DescribeCacheEngineVersionsCommandInput
  | DescribeCacheParameterGroupsCommandInput
  | DescribeCacheParametersCommandInput
  | DescribeCacheSecurityGroupsCommandInput
  | DescribeCacheSubnetGroupsCommandInput
  | DescribeEngineDefaultParametersCommandInput
  | DescribeEventsCommandInput
  | DescribeGlobalReplicationGroupsCommandInput
  | DescribeReplicationGroupsCommandInput
  | DescribeReservedCacheNodesCommandInput
  | DescribeReservedCacheNodesOfferingsCommandInput
  | DescribeServerlessCacheSnapshotsCommandInput
  | DescribeServerlessCachesCommandInput
  | DescribeServiceUpdatesCommandInput
  | DescribeSnapshotsCommandInput
  | DescribeUpdateActionsCommandInput
  | DescribeUserGroupsCommandInput
  | DescribeUsersCommandInput
  | DisassociateGlobalReplicationGroupCommandInput
  | ExportServerlessCacheSnapshotCommandInput
  | FailoverGlobalReplicationGroupCommandInput
  | IncreaseNodeGroupsInGlobalReplicationGroupCommandInput
  | IncreaseReplicaCountCommandInput
  | ListAllowedNodeTypeModificationsCommandInput
  | ListTagsForResourceCommandInput
  | ModifyCacheClusterCommandInput
  | ModifyCacheParameterGroupCommandInput
  | ModifyCacheSubnetGroupCommandInput
  | ModifyGlobalReplicationGroupCommandInput
  | ModifyReplicationGroupCommandInput
  | ModifyReplicationGroupShardConfigurationCommandInput
  | ModifyServerlessCacheCommandInput
  | ModifyUserCommandInput
  | ModifyUserGroupCommandInput
  | PurchaseReservedCacheNodesOfferingCommandInput
  | RebalanceSlotsInGlobalReplicationGroupCommandInput
  | RebootCacheClusterCommandInput
  | RemoveTagsFromResourceCommandInput
  | ResetCacheParameterGroupCommandInput
  | RevokeCacheSecurityGroupIngressCommandInput
  | StartMigrationCommandInput
  | TestFailoverCommandInput
  | TestMigrationCommandInput;
export type ServiceOutputTypes =
  | AddTagsToResourceCommandOutput
  | AuthorizeCacheSecurityGroupIngressCommandOutput
  | BatchApplyUpdateActionCommandOutput
  | BatchStopUpdateActionCommandOutput
  | CompleteMigrationCommandOutput
  | CopyServerlessCacheSnapshotCommandOutput
  | CopySnapshotCommandOutput
  | CreateCacheClusterCommandOutput
  | CreateCacheParameterGroupCommandOutput
  | CreateCacheSecurityGroupCommandOutput
  | CreateCacheSubnetGroupCommandOutput
  | CreateGlobalReplicationGroupCommandOutput
  | CreateReplicationGroupCommandOutput
  | CreateServerlessCacheCommandOutput
  | CreateServerlessCacheSnapshotCommandOutput
  | CreateSnapshotCommandOutput
  | CreateUserCommandOutput
  | CreateUserGroupCommandOutput
  | DecreaseNodeGroupsInGlobalReplicationGroupCommandOutput
  | DecreaseReplicaCountCommandOutput
  | DeleteCacheClusterCommandOutput
  | DeleteCacheParameterGroupCommandOutput
  | DeleteCacheSecurityGroupCommandOutput
  | DeleteCacheSubnetGroupCommandOutput
  | DeleteGlobalReplicationGroupCommandOutput
  | DeleteReplicationGroupCommandOutput
  | DeleteServerlessCacheCommandOutput
  | DeleteServerlessCacheSnapshotCommandOutput
  | DeleteSnapshotCommandOutput
  | DeleteUserCommandOutput
  | DeleteUserGroupCommandOutput
  | DescribeCacheClustersCommandOutput
  | DescribeCacheEngineVersionsCommandOutput
  | DescribeCacheParameterGroupsCommandOutput
  | DescribeCacheParametersCommandOutput
  | DescribeCacheSecurityGroupsCommandOutput
  | DescribeCacheSubnetGroupsCommandOutput
  | DescribeEngineDefaultParametersCommandOutput
  | DescribeEventsCommandOutput
  | DescribeGlobalReplicationGroupsCommandOutput
  | DescribeReplicationGroupsCommandOutput
  | DescribeReservedCacheNodesCommandOutput
  | DescribeReservedCacheNodesOfferingsCommandOutput
  | DescribeServerlessCacheSnapshotsCommandOutput
  | DescribeServerlessCachesCommandOutput
  | DescribeServiceUpdatesCommandOutput
  | DescribeSnapshotsCommandOutput
  | DescribeUpdateActionsCommandOutput
  | DescribeUserGroupsCommandOutput
  | DescribeUsersCommandOutput
  | DisassociateGlobalReplicationGroupCommandOutput
  | ExportServerlessCacheSnapshotCommandOutput
  | FailoverGlobalReplicationGroupCommandOutput
  | IncreaseNodeGroupsInGlobalReplicationGroupCommandOutput
  | IncreaseReplicaCountCommandOutput
  | ListAllowedNodeTypeModificationsCommandOutput
  | ListTagsForResourceCommandOutput
  | ModifyCacheClusterCommandOutput
  | ModifyCacheParameterGroupCommandOutput
  | ModifyCacheSubnetGroupCommandOutput
  | ModifyGlobalReplicationGroupCommandOutput
  | ModifyReplicationGroupCommandOutput
  | ModifyReplicationGroupShardConfigurationCommandOutput
  | ModifyServerlessCacheCommandOutput
  | ModifyUserCommandOutput
  | ModifyUserGroupCommandOutput
  | PurchaseReservedCacheNodesOfferingCommandOutput
  | RebalanceSlotsInGlobalReplicationGroupCommandOutput
  | RebootCacheClusterCommandOutput
  | RemoveTagsFromResourceCommandOutput
  | ResetCacheParameterGroupCommandOutput
  | RevokeCacheSecurityGroupIngressCommandOutput
  | StartMigrationCommandOutput
  | TestFailoverCommandOutput
  | TestMigrationCommandOutput;
export interface ClientDefaults
  extends Partial<__SmithyConfiguration<__HttpHandlerOptions>> {
  requestHandler?: __HttpHandlerUserInput;
  sha256?: __ChecksumConstructor | __HashConstructor;
  urlParser?: __UrlParser;
  bodyLengthChecker?: __BodyLengthCalculator;
  streamCollector?: __StreamCollector;
  base64Decoder?: __Decoder;
  base64Encoder?: __Encoder;
  utf8Decoder?: __Decoder;
  utf8Encoder?: __Encoder;
  runtime?: string;
  disableHostPrefix?: boolean;
  serviceId?: string;
  useDualstackEndpoint?: boolean | __Provider<boolean>;
  useFipsEndpoint?: boolean | __Provider<boolean>;
  region?: string | __Provider<string>;
  defaultUserAgentProvider?: Provider<__UserAgent>;
  credentialDefaultProvider?: (input: any) => AwsCredentialIdentityProvider;
  maxAttempts?: number | __Provider<number>;
  retryMode?: string | __Provider<string>;
  logger?: __Logger;
  extensions?: RuntimeExtension[];
  defaultsMode?: __DefaultsMode | __Provider<__DefaultsMode>;
}
export type ElastiCacheClientConfigType = Partial<
  __SmithyConfiguration<__HttpHandlerOptions>
> &
  ClientDefaults &
  UserAgentInputConfig &
  RetryInputConfig &
  RegionInputConfig &
  HostHeaderInputConfig &
  EndpointInputConfig<EndpointParameters> &
  HttpAuthSchemeInputConfig &
  ClientInputEndpointParameters;
export interface ElastiCacheClientConfig extends ElastiCacheClientConfigType {}
export type ElastiCacheClientResolvedConfigType =
  __SmithyResolvedConfiguration<__HttpHandlerOptions> &
    Required<ClientDefaults> &
    RuntimeExtensionsConfig &
    UserAgentResolvedConfig &
    RetryResolvedConfig &
    RegionResolvedConfig &
    HostHeaderResolvedConfig &
    EndpointResolvedConfig<EndpointParameters> &
    HttpAuthSchemeResolvedConfig &
    ClientResolvedEndpointParameters;
export interface ElastiCacheClientResolvedConfig
  extends ElastiCacheClientResolvedConfigType {}
export declare class ElastiCacheClient extends __Client<
  __HttpHandlerOptions,
  ServiceInputTypes,
  ServiceOutputTypes,
  ElastiCacheClientResolvedConfig
> {
  readonly config: ElastiCacheClientResolvedConfig;
  constructor(
    ...[configuration]: __CheckOptionalClientConfig<ElastiCacheClientConfig>
  );
  destroy(): void;
}
