import {
  AwsSdkSigV4AuthInputConfig,
  AwsSdkSigV4AuthResolvedConfig,
  AwsSdkSigV4PreviouslyResolved,
} from "@aws-sdk/core";
import {
  HandlerExecutionContext,
  HttpAuthScheme,
  HttpAuthSchemeParameters,
  HttpAuthSchemeParametersProvider,
  HttpAuthSchemeProvider,
} from "@smithy/types";
import { ElastiCacheClientResolvedConfig } from "../ElastiCacheClient";
export interface ElastiCacheHttpAuthSchemeParameters
  extends HttpAuthSchemeParameters {
  region?: string;
}
export interface ElastiCacheHttpAuthSchemeParametersProvider
  extends HttpAuthSchemeParametersProvider<
    ElastiCacheClientResolvedConfig,
    HandlerExecutionContext,
    ElastiCacheHttpAuthSchemeParameters,
    object
  > {}
export declare const defaultElastiCacheHttpAuthSchemeParametersProvider: (
  config: ElastiCacheClientResolvedConfig,
  context: HandlerExecutionContext,
  input: object
) => Promise<ElastiCacheHttpAuthSchemeParameters>;
export interface ElastiCacheHttpAuthSchemeProvider
  extends HttpAuthSchemeProvider<ElastiCacheHttpAuthSchemeParameters> {}
export declare const defaultElastiCacheHttpAuthSchemeProvider: ElastiCacheHttpAuthSchemeProvider;
export interface HttpAuthSchemeInputConfig extends AwsSdkSigV4AuthInputConfig {
  httpAuthSchemes?: HttpAuthScheme[];
  httpAuthSchemeProvider?: ElastiCacheHttpAuthSchemeProvider;
}
export interface HttpAuthSchemeResolvedConfig
  extends AwsSdkSigV4AuthResolvedConfig {
  readonly httpAuthSchemes: HttpAuthScheme[];
  readonly httpAuthSchemeProvider: ElastiCacheHttpAuthSchemeProvider;
}
export declare const resolveHttpAuthSchemeConfig: <T>(
  config: T & HttpAuthSchemeInputConfig & AwsSdkSigV4PreviouslyResolved
) => T & HttpAuthSchemeResolvedConfig;
