import { WaiterConfiguration, WaiterResult } from "@smithy/util-waiter";
import { DescribeCacheClustersCommandInput } from "../commands/DescribeCacheClustersCommand";
import { ElastiCacheClient } from "../ElastiCacheClient";
/**
 * Wait until ElastiCache cluster is deleted.
 *  @deprecated Use waitUntilCacheClusterDeleted instead. waitForCacheClusterDeleted does not throw error in non-success cases.
 */
export declare const waitForCacheClusterDeleted: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeCacheClustersCommandInput) => Promise<WaiterResult>;
/**
 * Wait until ElastiCache cluster is deleted.
 *  @param params - Waiter configuration options.
 *  @param input - The input to DescribeCacheClustersCommand for polling.
 */
export declare const waitUntilCacheClusterDeleted: (params: WaiterConfiguration<ElastiCacheClient>, input: DescribeCacheClustersCommandInput) => Promise<WaiterResult>;
