import { SENSITIVE_STRING } from "@smithy/smithy-client";
import { RDSServiceException as __BaseException } from "./RDSServiceException";
export const ActivityStreamMode = {
    async: "async",
    sync: "sync",
};
export const ActivityStreamPolicyStatus = {
    locked: "locked",
    locking_policy: "locking-policy",
    unlocked: "unlocked",
    unlocking_policy: "unlocking-policy",
};
export const ActivityStreamStatus = {
    started: "started",
    starting: "starting",
    stopped: "stopped",
    stopping: "stopping",
};
export class DBClusterNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterNotFoundFault.prototype);
    }
}
export class DBClusterRoleAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterRoleAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterRoleAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterRoleAlreadyExistsFault.prototype);
    }
}
export class DBClusterRoleQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterRoleQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterRoleQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterRoleQuotaExceededFault.prototype);
    }
}
export class InvalidDBClusterStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterStateFault.prototype);
    }
}
export class DBInstanceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceNotFoundFault.prototype);
    }
}
export class DBInstanceRoleAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceRoleAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceRoleAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceRoleAlreadyExistsFault.prototype);
    }
}
export class DBInstanceRoleQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceRoleQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceRoleQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceRoleQuotaExceededFault.prototype);
    }
}
export class InvalidDBInstanceStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBInstanceStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBInstanceStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBInstanceStateFault.prototype);
    }
}
export class SourceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceNotFoundFault.prototype);
    }
}
export class SubscriptionNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionNotFoundFault.prototype);
    }
}
export class BlueGreenDeploymentNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BlueGreenDeploymentNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BlueGreenDeploymentNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BlueGreenDeploymentNotFoundFault.prototype);
    }
}
export class DBProxyNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyNotFoundFault.prototype);
    }
}
export class DBProxyTargetGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyTargetGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyTargetGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyTargetGroupNotFoundFault.prototype);
    }
}
export class DBSnapshotNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSnapshotNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSnapshotNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSnapshotNotFoundFault.prototype);
    }
}
export class DBSnapshotTenantDatabaseNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSnapshotTenantDatabaseNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSnapshotTenantDatabaseNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSnapshotTenantDatabaseNotFoundFault.prototype);
    }
}
export class IntegrationNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "IntegrationNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "IntegrationNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, IntegrationNotFoundFault.prototype);
    }
}
export class TenantDatabaseNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "TenantDatabaseNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "TenantDatabaseNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, TenantDatabaseNotFoundFault.prototype);
    }
}
export class ResourceNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundFault.prototype);
    }
}
export class AuthorizationAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationAlreadyExistsFault.prototype);
    }
}
export class AuthorizationQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationQuotaExceededFault.prototype);
    }
}
export class DBSecurityGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupNotFoundFault.prototype);
    }
}
export class InvalidDBSecurityGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSecurityGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSecurityGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSecurityGroupStateFault.prototype);
    }
}
export const ExportSourceType = {
    CLUSTER: "CLUSTER",
    SNAPSHOT: "SNAPSHOT",
};
export class ExportTaskNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ExportTaskNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ExportTaskNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ExportTaskNotFoundFault.prototype);
    }
}
export class InvalidExportTaskStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidExportTaskStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidExportTaskStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidExportTaskStateFault.prototype);
    }
}
export class DBParameterGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupAlreadyExistsFault.prototype);
    }
}
export class DBParameterGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupNotFoundFault.prototype);
    }
}
export class DBParameterGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBParameterGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBParameterGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBParameterGroupQuotaExceededFault.prototype);
    }
}
export class DBClusterSnapshotAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterSnapshotAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterSnapshotAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterSnapshotAlreadyExistsFault.prototype);
    }
}
export class DBClusterSnapshotNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterSnapshotNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterSnapshotNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterSnapshotNotFoundFault.prototype);
    }
}
export class InvalidDBClusterSnapshotStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterSnapshotStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterSnapshotStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterSnapshotStateFault.prototype);
    }
}
export class KMSKeyNotAccessibleFault extends __BaseException {
    constructor(opts) {
        super({
            name: "KMSKeyNotAccessibleFault",
            $fault: "client",
            ...opts,
        });
        this.name = "KMSKeyNotAccessibleFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, KMSKeyNotAccessibleFault.prototype);
    }
}
export class SnapshotQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SnapshotQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SnapshotQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SnapshotQuotaExceededFault.prototype);
    }
}
export class CustomAvailabilityZoneNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomAvailabilityZoneNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomAvailabilityZoneNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomAvailabilityZoneNotFoundFault.prototype);
    }
}
export class DBSnapshotAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSnapshotAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSnapshotAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSnapshotAlreadyExistsFault.prototype);
    }
}
export class InvalidDBSnapshotStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSnapshotStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSnapshotStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSnapshotStateFault.prototype);
    }
}
export class OptionGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupAlreadyExistsFault.prototype);
    }
}
export class OptionGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupNotFoundFault.prototype);
    }
}
export class OptionGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "OptionGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "OptionGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, OptionGroupQuotaExceededFault.prototype);
    }
}
export class BlueGreenDeploymentAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BlueGreenDeploymentAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BlueGreenDeploymentAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BlueGreenDeploymentAlreadyExistsFault.prototype);
    }
}
export class DBClusterParameterGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterParameterGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterParameterGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterParameterGroupNotFoundFault.prototype);
    }
}
export class DBClusterQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterQuotaExceededFault.prototype);
    }
}
export class InstanceQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InstanceQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceQuotaExceededFault.prototype);
    }
}
export class SourceClusterNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceClusterNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceClusterNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceClusterNotSupportedFault.prototype);
    }
}
export class SourceDatabaseNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SourceDatabaseNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SourceDatabaseNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SourceDatabaseNotSupportedFault.prototype);
    }
}
export class CreateCustomDBEngineVersionFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CreateCustomDBEngineVersionFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CreateCustomDBEngineVersionFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CreateCustomDBEngineVersionFault.prototype);
    }
}
export class CustomDBEngineVersionAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionAlreadyExistsFault.prototype);
    }
}
export class CustomDBEngineVersionQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionQuotaExceededFault.prototype);
    }
}
export class Ec2ImagePropertiesNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "Ec2ImagePropertiesNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "Ec2ImagePropertiesNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, Ec2ImagePropertiesNotSupportedFault.prototype);
    }
}
export const ReplicaMode = {
    MOUNTED: "mounted",
    OPEN_READ_ONLY: "open-read-only",
};
export const WriteForwardingStatus = {
    DISABLED: "disabled",
    DISABLING: "disabling",
    ENABLED: "enabled",
    ENABLING: "enabling",
    UNKNOWN: "unknown",
};
export const LimitlessDatabaseStatus = {
    ACTIVE: "active",
    DISABLED: "disabled",
    DISABLING: "disabling",
    ENABLED: "enabled",
    ENABLING: "enabling",
    ERROR: "error",
    MODIFYING_MAX_CAPACITY: "modifying-max-capacity",
    NOT_IN_USE: "not-in-use",
};
export const LocalWriteForwardingStatus = {
    DISABLED: "disabled",
    DISABLING: "disabling",
    ENABLED: "enabled",
    ENABLING: "enabling",
    REQUESTED: "requested",
};
export class DBClusterAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterAlreadyExistsFault.prototype);
    }
}
export class DBSubnetGroupDoesNotCoverEnoughAZs extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupDoesNotCoverEnoughAZs",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupDoesNotCoverEnoughAZs";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupDoesNotCoverEnoughAZs.prototype);
    }
}
export class DBSubnetGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupNotFoundFault.prototype);
    }
}
export class DomainNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DomainNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DomainNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DomainNotFoundFault.prototype);
    }
}
export class GlobalClusterNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterNotFoundFault.prototype);
    }
}
export class InsufficientDBInstanceCapacityFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InsufficientDBInstanceCapacityFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InsufficientDBInstanceCapacityFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InsufficientDBInstanceCapacityFault.prototype);
    }
}
export class InsufficientStorageClusterCapacityFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InsufficientStorageClusterCapacityFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InsufficientStorageClusterCapacityFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InsufficientStorageClusterCapacityFault.prototype);
    }
}
export class InvalidDBSubnetGroupFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetGroupFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetGroupFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetGroupFault.prototype);
    }
}
export class InvalidDBSubnetGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetGroupStateFault.prototype);
    }
}
export class InvalidGlobalClusterStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidGlobalClusterStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidGlobalClusterStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidGlobalClusterStateFault.prototype);
    }
}
export class InvalidSubnet extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidSubnet",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidSubnet";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidSubnet.prototype);
    }
}
export class InvalidVPCNetworkStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidVPCNetworkStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidVPCNetworkStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidVPCNetworkStateFault.prototype);
    }
}
export class StorageQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "StorageQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "StorageQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, StorageQuotaExceededFault.prototype);
    }
}
export class DBClusterEndpointAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointAlreadyExistsFault.prototype);
    }
}
export class DBClusterEndpointQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointQuotaExceededFault.prototype);
    }
}
export class AuthorizationNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "AuthorizationNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AuthorizationNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AuthorizationNotFoundFault.prototype);
    }
}
export class BackupPolicyNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "BackupPolicyNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "BackupPolicyNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, BackupPolicyNotFoundFault.prototype);
    }
}
export class CertificateNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CertificateNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CertificateNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CertificateNotFoundFault.prototype);
    }
}
export const AutomationMode = {
    ALL_PAUSED: "all-paused",
    FULL: "full",
};
export class DBInstanceAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAlreadyExistsFault.prototype);
    }
}
export class NetworkTypeNotSupported extends __BaseException {
    constructor(opts) {
        super({
            name: "NetworkTypeNotSupported",
            $fault: "client",
            ...opts,
        });
        this.name = "NetworkTypeNotSupported";
        this.$fault = "client";
        Object.setPrototypeOf(this, NetworkTypeNotSupported.prototype);
    }
}
export class ProvisionedIopsNotAvailableInAZFault extends __BaseException {
    constructor(opts) {
        super({
            name: "ProvisionedIopsNotAvailableInAZFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ProvisionedIopsNotAvailableInAZFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProvisionedIopsNotAvailableInAZFault.prototype);
    }
}
export class StorageTypeNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "StorageTypeNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "StorageTypeNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, StorageTypeNotSupportedFault.prototype);
    }
}
export class TenantDatabaseQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "TenantDatabaseQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "TenantDatabaseQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, TenantDatabaseQuotaExceededFault.prototype);
    }
}
export class DBSubnetGroupNotAllowedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupNotAllowedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupNotAllowedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupNotAllowedFault.prototype);
    }
}
export const AuthScheme = {
    SECRETS: "SECRETS",
};
export const ClientPasswordAuthType = {
    MYSQL_NATIVE_PASSWORD: "MYSQL_NATIVE_PASSWORD",
    POSTGRES_MD5: "POSTGRES_MD5",
    POSTGRES_SCRAM_SHA_256: "POSTGRES_SCRAM_SHA_256",
    SQL_SERVER_AUTHENTICATION: "SQL_SERVER_AUTHENTICATION",
};
export const IAMAuthMode = {
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
    REQUIRED: "REQUIRED",
};
export const EngineFamily = {
    MYSQL: "MYSQL",
    POSTGRESQL: "POSTGRESQL",
    SQLSERVER: "SQLSERVER",
};
export const DBProxyStatus = {
    AVAILABLE: "available",
    CREATING: "creating",
    DELETING: "deleting",
    INCOMPATIBLE_NETWORK: "incompatible-network",
    INSUFFICIENT_RESOURCE_LIMITS: "insufficient-resource-limits",
    MODIFYING: "modifying",
    REACTIVATING: "reactivating",
    SUSPENDED: "suspended",
    SUSPENDING: "suspending",
};
export class DBProxyAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyAlreadyExistsFault.prototype);
    }
}
export class DBProxyQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyQuotaExceededFault.prototype);
    }
}
export const DBProxyEndpointTargetRole = {
    READ_ONLY: "READ_ONLY",
    READ_WRITE: "READ_WRITE",
};
export const DBProxyEndpointStatus = {
    AVAILABLE: "available",
    CREATING: "creating",
    DELETING: "deleting",
    INCOMPATIBLE_NETWORK: "incompatible-network",
    INSUFFICIENT_RESOURCE_LIMITS: "insufficient-resource-limits",
    MODIFYING: "modifying",
};
export class DBProxyEndpointAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointAlreadyExistsFault.prototype);
    }
}
export class DBProxyEndpointQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointQuotaExceededFault.prototype);
    }
}
export class InvalidDBProxyStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBProxyStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBProxyStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBProxyStateFault.prototype);
    }
}
export class DBSecurityGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupAlreadyExistsFault.prototype);
    }
}
export class DBSecurityGroupNotSupportedFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupNotSupportedFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupNotSupportedFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupNotSupportedFault.prototype);
    }
}
export class DBSecurityGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSecurityGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSecurityGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSecurityGroupQuotaExceededFault.prototype);
    }
}
export class DBShardGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBShardGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBShardGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBShardGroupAlreadyExistsFault.prototype);
    }
}
export class InvalidMaxAcuFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidMaxAcuFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidMaxAcuFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidMaxAcuFault.prototype);
    }
}
export class MaxDBShardGroupLimitReached extends __BaseException {
    constructor(opts) {
        super({
            name: "MaxDBShardGroupLimitReached",
            $fault: "client",
            ...opts,
        });
        this.name = "MaxDBShardGroupLimitReached";
        this.$fault = "client";
        Object.setPrototypeOf(this, MaxDBShardGroupLimitReached.prototype);
    }
}
export class UnsupportedDBEngineVersionFault extends __BaseException {
    constructor(opts) {
        super({
            name: "UnsupportedDBEngineVersionFault",
            $fault: "client",
            ...opts,
        });
        this.name = "UnsupportedDBEngineVersionFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnsupportedDBEngineVersionFault.prototype);
    }
}
export class DBSubnetGroupAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupAlreadyExistsFault.prototype);
    }
}
export class DBSubnetGroupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetGroupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetGroupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetGroupQuotaExceededFault.prototype);
    }
}
export class DBSubnetQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBSubnetQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBSubnetQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBSubnetQuotaExceededFault.prototype);
    }
}
export class EventSubscriptionQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "EventSubscriptionQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "EventSubscriptionQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, EventSubscriptionQuotaExceededFault.prototype);
    }
}
export class SNSInvalidTopicFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSInvalidTopicFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSInvalidTopicFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSInvalidTopicFault.prototype);
    }
}
export class SNSNoAuthorizationFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSNoAuthorizationFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSNoAuthorizationFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSNoAuthorizationFault.prototype);
    }
}
export class SNSTopicArnNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SNSTopicArnNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SNSTopicArnNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SNSTopicArnNotFoundFault.prototype);
    }
}
export class SubscriptionAlreadyExistFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionAlreadyExistFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionAlreadyExistFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionAlreadyExistFault.prototype);
    }
}
export class SubscriptionCategoryNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "SubscriptionCategoryNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "SubscriptionCategoryNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, SubscriptionCategoryNotFoundFault.prototype);
    }
}
export const FailoverStatus = {
    CANCELLING: "cancelling",
    FAILING_OVER: "failing-over",
    PENDING: "pending",
};
export const GlobalClusterMemberSynchronizationStatus = {
    CONNECTED: "connected",
    PENDING_RESYNC: "pending-resync",
};
export class GlobalClusterAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterAlreadyExistsFault.prototype);
    }
}
export class GlobalClusterQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "GlobalClusterQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "GlobalClusterQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, GlobalClusterQuotaExceededFault.prototype);
    }
}
export const IntegrationStatus = {
    ACTIVE: "active",
    CREATING: "creating",
    DELETING: "deleting",
    FAILED: "failed",
    MODIFYING: "modifying",
    NEEDS_ATTENTION: "needs_attention",
    SYNCING: "syncing",
};
export class IntegrationAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "IntegrationAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "IntegrationAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, IntegrationAlreadyExistsFault.prototype);
    }
}
export class IntegrationConflictOperationFault extends __BaseException {
    constructor(opts) {
        super({
            name: "IntegrationConflictOperationFault",
            $fault: "client",
            ...opts,
        });
        this.name = "IntegrationConflictOperationFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, IntegrationConflictOperationFault.prototype);
    }
}
export class IntegrationQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "IntegrationQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "IntegrationQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, IntegrationQuotaExceededFault.prototype);
    }
}
export class TenantDatabaseAlreadyExistsFault extends __BaseException {
    constructor(opts) {
        super({
            name: "TenantDatabaseAlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "TenantDatabaseAlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, TenantDatabaseAlreadyExistsFault.prototype);
    }
}
export class InvalidBlueGreenDeploymentStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidBlueGreenDeploymentStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidBlueGreenDeploymentStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidBlueGreenDeploymentStateFault.prototype);
    }
}
export class CustomDBEngineVersionNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "CustomDBEngineVersionNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "CustomDBEngineVersionNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, CustomDBEngineVersionNotFoundFault.prototype);
    }
}
export class InvalidCustomDBEngineVersionStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidCustomDBEngineVersionStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidCustomDBEngineVersionStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidCustomDBEngineVersionStateFault.prototype);
    }
}
export class DBClusterAutomatedBackupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterAutomatedBackupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterAutomatedBackupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterAutomatedBackupQuotaExceededFault.prototype);
    }
}
export class DBClusterAutomatedBackupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterAutomatedBackupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterAutomatedBackupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterAutomatedBackupNotFoundFault.prototype);
    }
}
export class InvalidDBClusterAutomatedBackupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterAutomatedBackupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterAutomatedBackupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterAutomatedBackupStateFault.prototype);
    }
}
export class DBClusterEndpointNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBClusterEndpointNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBClusterEndpointNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBClusterEndpointNotFoundFault.prototype);
    }
}
export class InvalidDBClusterEndpointStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBClusterEndpointStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBClusterEndpointStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBClusterEndpointStateFault.prototype);
    }
}
export class InvalidDBParameterGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBParameterGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBParameterGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBParameterGroupStateFault.prototype);
    }
}
export class DBInstanceAutomatedBackupQuotaExceededFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAutomatedBackupQuotaExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAutomatedBackupQuotaExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAutomatedBackupQuotaExceededFault.prototype);
    }
}
export class DBInstanceAutomatedBackupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBInstanceAutomatedBackupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBInstanceAutomatedBackupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBInstanceAutomatedBackupNotFoundFault.prototype);
    }
}
export class InvalidDBInstanceAutomatedBackupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBInstanceAutomatedBackupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBInstanceAutomatedBackupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBInstanceAutomatedBackupStateFault.prototype);
    }
}
export class DBProxyEndpointNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBProxyEndpointNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBProxyEndpointNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBProxyEndpointNotFoundFault.prototype);
    }
}
export class InvalidDBProxyEndpointStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBProxyEndpointStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBProxyEndpointStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBProxyEndpointStateFault.prototype);
    }
}
export class DBShardGroupNotFoundFault extends __BaseException {
    constructor(opts) {
        super({
            name: "DBShardGroupNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "DBShardGroupNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, DBShardGroupNotFoundFault.prototype);
    }
}
export class InvalidDBShardGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBShardGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBShardGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBShardGroupStateFault.prototype);
    }
}
export class InvalidDBSubnetStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidDBSubnetStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidDBSubnetStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidDBSubnetStateFault.prototype);
    }
}
export class InvalidEventSubscriptionStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidEventSubscriptionStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidEventSubscriptionStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidEventSubscriptionStateFault.prototype);
    }
}
export class InvalidIntegrationStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidIntegrationStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidIntegrationStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidIntegrationStateFault.prototype);
    }
}
export class InvalidOptionGroupStateFault extends __BaseException {
    constructor(opts) {
        super({
            name: "InvalidOptionGroupStateFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidOptionGroupStateFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidOptionGroupStateFault.prototype);
    }
}
export const CreateTenantDatabaseMessageFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.MasterUserPassword && { MasterUserPassword: SENSITIVE_STRING }),
});
export const TenantDatabasePendingModifiedValuesFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.MasterUserPassword && { MasterUserPassword: SENSITIVE_STRING }),
});
export const TenantDatabaseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PendingModifiedValues && {
        PendingModifiedValues: TenantDatabasePendingModifiedValuesFilterSensitiveLog(obj.PendingModifiedValues),
    }),
});
export const CreateTenantDatabaseResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.TenantDatabase && { TenantDatabase: TenantDatabaseFilterSensitiveLog(obj.TenantDatabase) }),
});
